Bug 1781054 - alt+f2 dos not bring up krunner
Summary: alt+f2 dos not bring up krunner
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-workspace
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-09 08:06 UTC by Karel Volný
Modified: 2020-11-24 16:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:54:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
KDE Software Compilation 413368 0 NOR REOPENED upgraded to 5.17.x, krunner alt-f2 shortcut stopped working 2020-06-03 16:01:02 UTC

Description Karel Volný 2019-12-09 08:06:40 UTC
Description of problem:
After upgrade to 5.17.4, I cannot run krunner via Alt+F2.

To be precise, after system start, I've successfully started konversation, kmail and one doplhin window via Alt+F2 and the application name. This was like within one minute from start.

Trying to start second Dolphin window, hitting Alt+F2 does not bring it (the krunner) up.

If I switch to konsole and try Alt+F2, it writes the capital "Q". Other Alt+F? combos seem to work without any problem.

Version-Release number of selected component (if applicable):
plasma-workspace-5.17.4-1.fc31.x86_64

Comment 1 Rex Dieter 2019-12-09 13:40:12 UTC
Known issue,
https://bugs.kde.org/show_bug.cgi?id=413368

The upstream bug includes some workarounds.

Comment 2 Karel Volný 2019-12-09 14:21:07 UTC
ok, thanks, running

/usr/lib64/kconf_update_bin/krunnerglobalshortcuts

(as user)

seems to fix the problem

now I just wonder how this could be put into the package so that it fixes itself on upgrade, not breaking users systems ...

Comment 3 Rex Dieter 2019-12-09 14:27:28 UTC
That is the mystery, those kconf_update scripts are supposed to run automatically to do just that.

Comment 4 Robin Lee 2020-05-11 06:12:26 UTC
Met the same issue with plasma-workspace-libs-5.18.4-1.fc32.x86_64. The system installed and removed this package at Fedora 26, and recently re-installed it at Fedora 32 through the 'kde-desktop' group.

Comment 5 Bill Crawford 2020-05-28 14:34:51 UTC
The update script seems to have worked, but the popup isn't themed like the panel. Is this likely to go away once I've logged out and in again, or should I file a separate bug?

Comment 6 Rex Dieter 2020-06-03 16:01:16 UTC
one issue per bug please

Comment 7 Ben Cotton 2020-11-03 15:58:04 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2020-11-24 16:54:28 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.